// ===========================================================================
//	CEvalDialog.h		1995-97 Timo Eloranta		All rights reserved.
// ===========================================================================

#pragma once

#include <LGADialogBox.h>
#include <URegistrar.h>

#include "MyStructs.h"

class LGAEditField;
class LGAPushButton;
class LGACheckbox;

class CEvalDialog : public LGADialogBox {
public:
	enum {
		class_ID = 'EDlg'
	};

			CEvalDialog ( LStream *theStream );

	virtual ~CEvalDialog() {};

	void	InitDialog();
	
	void	ListenToMessage( MessageT inMessage, void *ioParam );

	void	SetValues( SEvaluation &inEval );
	void	GetValues( SEvaluation &outEval );

	virtual void		FindCommandStatus(CommandT inCommand,
							Boolean &outEnabled, Boolean &outUsesMark,
							Char16 &outMark, Str255 outName);

private:
	
	LGACheckbox		* mCrossingsBox;

	LGAEditField	* mEdit1;
	LGAEditField	* mEdit2;
	LGAEditField	* mEdit3;
	LGAEditField	* mEdit4;
	LGAEditField	* mEdit5;
	LGAEditField	* mEdit6;
	LGAEditField	* mEdit7;

	LGAPushButton	* mFactoryButton;
	
	void	AdjustFactoryButton();
	void	SetDefaultValues();
};

