// ===========================================================================
//	CProbDialog.h			1995-97 Timo Eloranta		All rights reserved.
// ===========================================================================

#pragma once

#include <LGADialogBox.h>
#include <URegistrar.h>

class LCaption;
class LGAPushButton;
class CAGASlider;

class CProbDialog : public LGADialogBox {
public:
	enum {
		class_ID = 'PDlg'
	};

			CProbDialog ( LStream *theStream );

	virtual ~CProbDialog() {};

	void	InitDialog();
	
	void	ListenToMessage( MessageT inMessage, void *ioParam );

	void	SetValues( Int32 inCrossValue, Int32 inMutaValue );
	void	GetValues( Int32 &outCrossValue, Int32 &outMutaValue );

	virtual void		FindCommandStatus(CommandT inCommand,
							Boolean &outEnabled, Boolean &outUsesMark,
							Char16 &outMark, Str255 outName);

private:
	
	LCaption	* mCrossCapt;
	LCaption	* mMutaCapt;
	
	LGAPushButton * mFactoryButton;
	
	CAGASlider	* mCrossSlider;
	CAGASlider	* mMutaSlider;
	
	void	AdjustFactoryButton( );
};

